# AbstractTransaction

    public protocol AbstractTransaction

Abstract representation of all transaction types

- `id`

  internal id for this transaction

  #### Declaration

  Swift

      var id: Int? { get set }

- `value`

  value in zatoshi

  #### Declaration

  Swift

      var value: Int { get set }

- `memo`

  data containing the memo if any

  #### Declaration

  Swift

      var memo: Data? { get set }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.